> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer's payments



## OpenAPI

````yaml openapi.yaml get /customers/{id}/payments
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /customers/{id}/payments:
    get:
      summary: List customer's payments
      operationId: listCustomerPayments
      parameters:
        - name: id
          in: path
          description: Unique identifier of the customer
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Number of items per page
          schema:
            type: integer
            default: 30
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Customer payments retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  status:
                    type: string
                    example: OK
                  message:
                    type: string
                    example: Customer payments retrieved
                  totals:
                    type: integer
                    example: 10
                  last_page:
                    type: integer
                    example: 1
                  current_page:
                    type: integer
                    example: 1
                  selected:
                    type: integer
                    example: 10
                  payments:
                    type: array
                    items: 02c8ad00-ecad-4587-851d-e1ccbe0cf3c2
                required:
                  - code
                  - status
                  - message
                  - payments
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````